# Creating a new Holiday Calendar Association

This endpoint returns structured Holiday Calendar Association objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the holiday_calendar_associations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /holiday_calendar_associations
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- holiday (Holiday) - The Holiday associated with this HolidayCalendarAssociation.
- holiday_calendar (HolidayCalendar) - The Holiday Calendar associated with this HolidayCalendarAssociation.

## Request fields (application/json):

  - `holiday_calendar_association` (object)

  - `holiday_calendar_association.holiday_id` (integer, required)
    The ID of the holiday to be associated with a calendar.

  - `holiday_calendar_association.holiday_calendar_id` (integer, required)
    The ID of the calendar to be associated with a holiday.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `holiday_calendar_associations` (object)

  - `holidays` (object)

  - `holiday_calendars` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


